Skip to main content
GET
/
simulations
/
{simulation_id}
Get simulation
curl --request GET \
  --url https://api.coval.dev/v1/simulations/{simulation_id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.coval.dev/v1/simulations/{simulation_id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.coval.dev/v1/simulations/{simulation_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "simulation": {
    "name": "simulations/abc123xyz789",
    "simulation_id": "abc123xyz789",
    "run_id": "abc123xyz789",
    "status": "COMPLETED",
    "create_time": "2025-10-14T12:00:00Z",
    "has_audio": true,
    "agent_id": "gk3jK9mPq2xRt5vW8yZaBc",
    "persona_id": "hL4kL0nQr3ySt6vX9zAcDd",
    "test_set_id": "aB1cD2eF",
    "test_case_id": "test_xyz123",
    "source": {
      "type": "phone",
      "value": "+15551234567"
    },
    "destination": {
      "type": "phone",
      "value": "+15551234567"
    },
    "error_message": "Simulation failed to run.",
    "mutation_id": "01ARZ3NDEKTSV4RRFFQ69G5FAV",
    "mutation_name": "GPT-4 Fast VAD",
    "notes": "Reviewed – false positive",
    "is_public": false,
    "transcript": [
      {
        "role": "assistant",
        "content": "Hello! How can I help you today?",
        "start_timestamp": "0.0",
        "end_timestamp": "2.5",
        "start_offset": 0,
        "end_offset": 2500
      }
    ]
  }
}
{
"error": {
"code": "UNAUTHENTICATED",
"message": "Missing API Key",
"details": [
{
"field": "X-API-Key",
"description": "X-API-Key header is required"
}
]
}
}
{
"error": {
"code": "NOT_FOUND",
"message": "Agent not found",
"details": [
{
"field": "agent_id",
"description": "Agent 'gk3jK9mPq2xRt5vW8yZaBc' does not exist"
}
]
}
}
{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred. Please contact support."
}
]
}
}

Authorizations

X-API-Key
string
header
required

API key for authentication.

Path Parameters

simulation_id
string
required

The simulation ID

Required string length: 22 - 27

Response

Simulation resource

simulation
object
required